Name:             datanommer
Version:          0.1.8
Release:          1%{?dist}
Summary:          A storage consumer for the Fedora Message Bus (fedmsg)

Group:            Development/Libraries
License:          GPLv3+
URL:              http://pypi.python.org/pypi/datanommer
Source0:          http://pypi.python.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz
BuildArch:        noarch


BuildRequires:    python2-devel
BuildRequires:    python-setuptools
BuildRequires:    python-nose

BuildRequires:    fedmsg >= 0.5.0
BuildRequires:    python-moksha-hub >= 1.0.3

Requires:         fedmsg-hub >= 0.5.0
Requires:         python-moksha-hub >= 1.0.3

%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:    python-sqlalchemy0.7
Requires:         python-sqlalchemy0.7
%else
BuildRequires:    python-sqlalchemy >= 0.7
Requires:         python-sqlalchemy >= 0.7
%endif

# This is required due to a bug in moksha's packaging
# That is fixed in moksha-0.8.8-4
BuildRequires:    python-bunch
Requires:         python-bunch


%description
This is datanommer.  It is comprised of only a `fedmsg
<http://github.com/ralphbean/fedmsg>`_ consumer that stuffs every message
in a sqlalchemy database.

There are also a handful of CLI tools to dump information from the
database.

%prep
%setup -q -n %{name}-%{version}

# Make sure that epel/rhel picks up the correct version of sqlalchemy
%{__awk} 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"sqlalchemy>=0.7\"]; import pkg_resources"}1' setup.py > setup.py.tmp
%{__mv} setup.py.tmp setup.py


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/fedmsg.d/
%{__cp} example-config.py %{buildroot}/%{_sysconfdir}/fedmsg.d/datanommer.py

%check
%{__python} setup.py test

%files
%doc README.rst LICENSE
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}*

%config(noreplace) %{_sysconfdir}/fedmsg.d/datanommer.py*

%{_bindir}/datanommer-create-db
%{_bindir}/datanommer-stats
%{_bindir}/datanommer-dump

%changelog
* Thu Oct 04 2012 Ralph Bean <rbean@redhat.com> - 0.1.8-1
- More flexible database field types.
* Fri Sep 28 2012 Ralph Bean <rbean@redhat.com> - 0.1.7-1
- New upstream with a db table for compose messages.
* Wed Sep 26 2012 Ralph Bean <rbean@redhat.com> - 0.1.6-1
- Upstream release requiring the latest python-moksha-hub for API tweaks.
* Mon Sep 24 2012 Ralph Bean <rbean@redhat.com> - 0.1.5-1
- Upstream release removed the gpl->LICENSE symlink.  More trouble than it was
  worth.
* Wed Sep 19 2012 Ralph Bean <rbean@redhat.com> - 0.1.4-1
- Depend on the very latest fedmsg to dispel confusion.
* Thu Sep 06 2012 Ralph Bean <rbean@redhat.com> - 0.1.3-2
- Remove whitespace between config and noreplace.
* Thu Aug 30 2012 Ralph Bean <rbean@redhat.com> - 0.1.3-1
- Initial package for Fedora
